import type { App } from 'vue'

import piniaPlugin from './pinia'
import vxeTable from './vxe-table'
import router from '@/router'
import i18n from '@/locales'
import echarts from './echarts'
import axios from './axios'
import {
	AutoComplete,
	Card,
	Cascader,
	Checkbox,
	Input,
	InputNumber,
	Mentions,
	Radio,
	Rate,
	Select,
	Switch,
	Transfer,
	TreeSelect,
	Slider,
	DatePicker,
	TimePicker,
	Alert,
	Divider,
	Space,
	Typography,
	notification,
} from 'ant-design-vue'
export default {
	install: (app: App) => {
		app
			.use(router)
			.use(piniaPlugin)
			.use(vxeTable)
			.use(i18n)
			.use(echarts)
			.use(axios)
			.use(Card)
			.use(Input)
			.use(AutoComplete)
			.use(InputNumber)
			.use(Switch)
			.use(Mentions)
			.use(Radio)
			.use(Checkbox)
			.use(Select)
			.use(Cascader)
			.use(Transfer)
			.use(TreeSelect)
			.use(Rate)
			.use(Slider)
			.use(TimePicker)
			.use(DatePicker)
			.use(Alert)
			.use(Divider)
			.use(Space)
			.use(Typography)
	},
}

notification.config({
	placement: 'bottomRight',
	maxCount: 1,
	duration: 1,
})
